# Class JsHintPlugin

java.lang.Object
org.gradle.plugins.javascript.jshint.JsHintPlugin

All Implemented Interfaces:
  `Plugin<Project>`

public class JsHintPlugin extends Object implements Plugin<Project>

## Constructor Summary

Constructors
Constructor
Description
`JsHintPlugin()`

## Method Summary

Modifier and Type
Method
Description
`Configuration`
`addConfiguration(ConfigurationContainer configurations, DependencyHandler dependencies, JsHintExtension extension)`
`void`
`apply(Project project)`
Apply this plugin to the given target object.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JsHintPlugin

public JsHintPlugin()

## Method Details

### apply

public void apply(Project project)
Description copied from interface: `Plugin`
Apply this plugin to the given target object.

Specified by:
  `apply` in interface `Plugin<Project>`
Parameters:
  `project` - The target object

### addConfiguration

public Configuration addConfiguration(ConfigurationContainer configurations, DependencyHandler dependencies, JsHintExtension extension)